config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.tomcat.new:
if [ -e etc/rc.d/rc.tomcat ]; then
  cp -a etc/rc.d/rc.tomcat etc/rc.d/rc.tomcat.new.incoming
  cat etc/rc.d/rc.tomcat.new > etc/rc.d/rc.tomcat.new.incoming
  mv etc/rc.d/rc.tomcat.new.incoming etc/rc.d/rc.tomcat.new
fi

config etc/rc.d/rc.tomcat.new

config etc/tomcat/catalina.policy.new
config etc/tomcat/logging.properties.new
config etc/tomcat/jaspic-providers.xsd.new
config etc/tomcat/jaspic-providers.xml.new
config etc/tomcat/server.xml.new
config etc/tomcat/tomcat-users.xml.new
config etc/tomcat/context.xml.new
config etc/tomcat/web.xml.new
config etc/tomcat/tomcat-users.xsd.new
config etc/tomcat/catalina.properties.new
config etc/tomcat/tomcat-java.conf.new
( cd usr/share/java ; rm -rf annotations-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/annotations-api.jar annotations-api.jar )
( cd usr/share/java ; rm -rf catalina-ant.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/catalina-ant.jar catalina-ant.jar )
( cd usr/share/java ; rm -rf catalina-ha.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/catalina-ha.jar catalina-ha.jar )
( cd usr/share/java ; rm -rf catalina-ssi.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/catalina-ssi.jar catalina-ssi.jar )
( cd usr/share/java ; rm -rf catalina-storeconfig.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/catalina-storeconfig.jar catalina-storeconfig.jar )
( cd usr/share/java ; rm -rf catalina-tribes.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/catalina-tribes.jar catalina-tribes.jar )
( cd usr/share/java ; rm -rf catalina.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/catalina.jar catalina.jar )
( cd usr/share/java ; rm -rf ecj-4.27.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/ecj-4.27.jar ecj-4.27.jar )
( cd usr/share/java ; rm -rf el-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/el-api.jar el-api.jar )
( cd usr/share/java ; rm -rf jakartaee-migration-1.0.9-shaded.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/jakartaee-migration-1.0.9-shaded.jar jakartaee-migration-1.0.9-shaded.jar )
( cd usr/share/java ; rm -rf jasper-el.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/jasper-el.jar jasper-el.jar )
( cd usr/share/java ; rm -rf jasper.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/jasper.jar jasper.jar )
( cd usr/share/java ; rm -rf jaspic-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/jaspic-api.jar jaspic-api.jar )
( cd usr/share/java ; rm -rf jsp-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/jsp-api.jar jsp-api.jar )
( cd usr/share/java ; rm -rf servlet-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/servlet-api.jar servlet-api.jar )
( cd usr/share/java ; rm -rf tomcat-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-api.jar tomcat-api.jar )
( cd usr/share/java ; rm -rf tomcat-coyote-ffm.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-coyote-ffm.jar tomcat-coyote-ffm.jar )
( cd usr/share/java ; rm -rf tomcat-coyote.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-coyote.jar tomcat-coyote.jar )
( cd usr/share/java ; rm -rf tomcat-dbcp.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-dbcp.jar tomcat-dbcp.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-cs.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-cs.jar tomcat-i18n-cs.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-de.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-de.jar tomcat-i18n-de.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-es.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-es.jar tomcat-i18n-es.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-fr.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-fr.jar tomcat-i18n-fr.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-ja.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-ja.jar tomcat-i18n-ja.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-ko.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-ko.jar tomcat-i18n-ko.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-pt-BR.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-pt-BR.jar tomcat-i18n-pt-BR.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-ru.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-ru.jar tomcat-i18n-ru.jar )
( cd usr/share/java ; rm -rf tomcat-i18n-zh-CN.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-i18n-zh-CN.jar tomcat-i18n-zh-CN.jar )
( cd usr/share/java ; rm -rf tomcat-jdbc.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-jdbc.jar tomcat-jdbc.jar )
( cd usr/share/java ; rm -rf tomcat-jni.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-jni.jar tomcat-jni.jar )
( cd usr/share/java ; rm -rf tomcat-util-scan.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-util-scan.jar tomcat-util-scan.jar )
( cd usr/share/java ; rm -rf tomcat-util.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-util.jar tomcat-util.jar )
( cd usr/share/java ; rm -rf tomcat-websocket.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/tomcat-websocket.jar tomcat-websocket.jar )
( cd usr/share/java ; rm -rf websocket-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/websocket-api.jar websocket-api.jar )
( cd usr/share/java ; rm -rf websocket-client-api.jar )
( cd usr/share/java ; ln -sf ../../../usr/share/tomcat/lib/websocket-client-api.jar websocket-client-api.jar )
( cd var/lib/tomcat ; rm -rf bin )
( cd var/lib/tomcat ; ln -sf /usr/share/tomcat/bin bin )
( cd var/lib/tomcat ; rm -rf conf )
( cd var/lib/tomcat ; ln -sf /etc/tomcat conf )
( cd var/lib/tomcat ; rm -rf logs )
( cd var/lib/tomcat ; ln -sf /var/log/tomcat logs )
( cd var/lib/tomcat ; rm -rf temp )
( cd var/lib/tomcat ; ln -sf /var/tmp/tomcat temp )
( cd var/lib/tomcat ; rm -rf work )
( cd var/lib/tomcat ; ln -sf /var/run/tomcat work )
